# based

A commandline tool that lets you encode and decode most of the bases.

Release binary is statically linked and stripped via
```sh
cabal v2-build --enable-executable-static -O2
strip --strip-all based
```

## Compilation

* If you want to compile your own build, link it dynamically via
```sh
git clone https://git.stefan.works/whx/based.git
cd based/
cabal install
cabal run
```

## Usage

* Pipe via stdin to transcode
* Modes are __encode__ and __decode__
* Encoding is done in the following way
```sh
echo Hello, World! | based encode --b91
>OwJh>}AQ;r@@Y?FF
```
* Decoding is implicated in the following way 
```sh
echo '>OwJh>}AQ;r@@Y?FF' | based --b91
Hello, World!
```

## What is Transcoded?

The following are the supported encodings
* Base91 
* Base85 
* Base64
* Base64url 
* URI Encoding 
* Base62 
* Base58 
* Base32 
* Quoted-Printable
* UU Encoding
* XX Encoding
* yEncoding
* Char to Hex and vice versa
* Decimal to Hex and vice versa
* Oktal to Hex and vice versa
* Binary to Hex and vice versa
 
